/* Copyright (C) 2002-2004  The Coaster Development Team
 *               
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 */

#include <config.h>
#include <string.h>
#include <gnome.h>
#include <gtk/gtk.h>
#include <gtk/gtkwindow.h>
#include <gconf/gconf-client.h>
#include <libburn/libburn.h>

#include "../library/coaster.h"

void on_close_button_clicked (GtkWidget *widget, gpointer data);

int
main (int argc, char **argv)
{
  gpointer drives;
  int n_drives;
  GConfClient *gconf_client;

  gnome_program_init ("gnome-burn-preferences", VERSION, LIBGNOMEUI_MODULE,
                      argc, argv,
                      GNOME_PARAM_APP_DATADIR, DATADIR, NULL);

  gtk_set_locale ();

  if(!coaster_init (&drives, &n_drives, TRUE)) return 1;

  gconf_client = coaster_get_gconf_client ();   
  gconf_client_add_dir (gconf_client, "/desktop/gnome/burn_prefs",
                        GCONF_CLIENT_PRELOAD_ONELEVEL, NULL);

  GtkWidget* window = coaster_preferences_window (drives, n_drives, (GCallback*)(&on_close_button_clicked));
  gtk_widget_show(window);

  gtk_main();
  
  coaster_finish ();
    
  return 0;
}

void
on_close_button_clicked (GtkWidget *widget, gpointer data)
{
  gtk_main_quit ();
}
